<?php

require_once("function.mtentryauthor.php");

function smarty_function_mtsandboxcommentclass($args, &$ctx) {
    $entry = $ctx->stash('entry');
    $blog = $ctx->stash('blog');
    $comment = $ctx->stash("comment");
    $counter = $ctx->stash("comment_order_num")
    
    $classes = "comment";
    
    if($comment)
    {
        $createdate = $comment['comment_created_on'];
        $classes .= " c-d" . substr($createdate,5,2); # day
        $classes .= " c-m" . substr($createdate,8,2); # month
        $classes .= " c-y" . substr($createdate,0,4); # year
        $classes .= " c-h" . substr($createdate,11,2); # hour
        if($counter)
        {
            $classes .= " c" . $counter;
            if($counter % 2 == 0)
            {
                $classes .= " alt";
            }
        }
        
        $entryauthor = smarty_function_mtentryauthor($args, $ctx);
        $commenter = $ctx->stash('commenter');
        $classes .= " comment-author-".$commenter;
        if($entryauthor == $commenter)
        {
            $classes .= " bypostauthor";
        }
        
    }
    
    return $classes;
}


?>