<?php

require_once("function.mtentryauthor.php");
require_once("function.mtentrycategory.php");

function smarty_function_mtsandboxentryclass($args, &$ctx) {
    $entry = $ctx->stash('entry');
    $blog = $ctx->stash('blog');
    $counter = $ctx->stash('_entries_counter');
    
    $classes = "hentry post publish";
    
    if($entry)
    {
        $author = smarty_function_mtentryauthor($args, $ctx);
        $classes .= " author-" . $author;
        $createdate = $entry['entry_created_on'];
        $classes .= " d" . substr($createdate,5,2); # day
        $classes .= " m" . substr($createdate,8,2); # month
        $classes .= " y" . substr($createdate,0,4); # year
        $classes .= " h" . substr($createdate,11,2); # hour
        $category = smarty_function_mtentrycategory($args, $ctx);
        if($category)
        {
            $classes .= " category-" . $category;
        }
        if($counter)
        {
            $classes .= " p" . $counter;
            if($counter % 2 == 0)
            {
                $classes .= " alt";
            }
        }
        
        if($args['class'] == "page")
        {
            $classes .= " page";
        }
    }
    
    return $classes;
}

?>