<?php

require_once("function.mtarchivelabel.php");
require_once("function.mtentryauthor.php");
require_once("function.mtentryid.php");
require_once("function.mtentrycreateddate.php");
require_once("function.mtentrycategory.php");
require_once("function.mtarchivetitle.php");

function smarty_function_mtsandboxbodyclass($args, &$ctx) {
    $entry = $ctx->stash('entry');
    $blog = $ctx->stash('blog');
    
    $classes = "";
    
    $archlabel = smarty_function_mtarchivelabel($args, $ctx);
    if($archlabel)
    {
        $classes .= " archive ";
        if($archlabel == "Entry")
        {
            $classes .= " single";
            $classes .= " s-author-" . smarty_function_mtentryauthor($args, $ctx);
            $classes .= " postid-" . smarty_function_mtentryid($args, $ctx);
            $e = $ctx->stash('entry');
            $createdate = $e['entry_created_on'];
            //$classes .= " " . $createdate;
            $classes .= " s-d" . substr($createdate,5,2); # day
            $classes .= " s-m" . substr($createdate,8,2); # month
            $classes .= " s-y" . substr($createdate,0,4); # year
            $classes .= " s-h" . substr($createdate,11,2); # hour
            $category = smarty_function_mtentrycategory($args, $ctx);
            if($category)
            {
                $classes .= " s-category-" . $category;
            }
            
        }
        if($archlabel == "Author" || $archlabel == "Author Monthly")
        {
            $classes .= " author";
            $author = smarty_function_mtarchivetitle($args, $ctx);
            $classes .= " author-" . $author;
        }
        if($archlabel == "Category" || $archlabel == "Category Monthly")
        {
            $classes .= " category";
            $category = smarty_function_mtarchivetitle($args, $ctx);
            $classes .= " s-category-" . $category;
        }
        if($archlabel == "Monthly" ||
           $archlabel == "Category Monthly" ||
           $archlabel == "Author Monthly")
        {
            $classes .= " date";
        }
        
        
    }
    else
    {
        $classes .= " home";
    }
    
    if($args['class'] == "page")
    {
        if($entry)
        {
            $author = $entry->author;
            $classes .= " page-author-".smarty_function_mtentryauthor($args, $ctx);;
        }
        $classes .= " page";
    }
    
    return $classes;
}

?>